org.apache.storm.trident.spout

## Interface IOpaquePartitionedTridentSpout<PartitionsT,PartitionT extends ISpoutPartition,M>

- All Superinterfaces:
    ITridentDataSource, Serializable
  All Known Implementing Classes:
    KafkaTridentSpoutOpaque, OpaqueTridentEventHubSpout

      public interface IOpaquePartitionedTridentSpout<PartitionsT,PartitionT extends ISpoutPartition,M>
      extends ITridentDataSource

  This defines a transactional spout which does not necessarily replay the same batch every time it emits a batch for a transaction id.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `IOpaquePartitionedTridentSpout.Coordinator<PartitionsT>` Coordinator for batches.
    `static interface` | `IOpaquePartitionedTridentSpout.Emitter<PartitionsT,PartitionT extends ISpoutPartition,M>`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,Object>` | `getComponentConfiguration()`
    `IOpaquePartitionedTridentSpout.Coordinator<PartitionsT>` | `getCoordinator(Map<String,Object> conf, TopologyContext context)`
    `IOpaquePartitionedTridentSpout.Emitter<PartitionsT,PartitionT,M>` | `getEmitter(Map<String,Object> conf, TopologyContext context)`
    `Fields` | `getOutputFields()`

- - ### Method Detail

    - #### getEmitter

          IOpaquePartitionedTridentSpout.Emitter<PartitionsT,PartitionT,M> getEmitter(Map<String,Object> conf,
                                                                                      TopologyContext context)

    - #### getCoordinator

          IOpaquePartitionedTridentSpout.Coordinator<PartitionsT> getCoordinator(Map<String,Object> conf,
                                                                                 TopologyContext context)

    - #### getComponentConfiguration

          Map<String,Object> getComponentConfiguration()

    - #### getOutputFields

          Fields getOutputFields()

Copyright © 2021 The Apache Software Foundation. All rights reserved.